
import java.util.Enumeration;

/**
   Hovedprogrammet. Denne klasse eksistere kun for man kan kalde
   programmet som <code>java MaxParring &lt;data&gt;</code>.
*/
public class MaxParring {
    
    /**
       Starter programmet.

       Programmet tager op til to argumenter:

       <pre>
       Usage: java MaximumMatching &lt;DATA&gt; [OPTIONS]
       
       A graph is read from the file DATA and the maximum matching is
       reported along with the nodes in the matching. The program has the
       following optional arguments:
       
       -l, --latex GRAPH    Save the graph to the file graph-GRAPH-begin.tex
       &nbsp;                    as an Xy-pic matrix. This is done just after
       &nbsp;                    it is constructed. The graph is also saved to
       &nbsp;                    graph-GRAPH-end.tex when the maximum
       &nbsp;                    matching has been found.
       -h, --help           Prints this message and exit with exitcode 0.
       </pre>

       @param args kommandolinieparametre.
    */
    public static void main(String[] args) {
        MaximumMatching.main(args);
    }
}
